Home Download Buy Blog Forum Support

Package Manager JSON Parse Error

Package Manager JSON Parse Error

Postby craigmdennis on Fri Jun 22, 2012 12:24 pm

Hey,

I'm running build 2181 and have started to get this error: http://cl.ly/3P372X341E0A1X223W0j when selecting to install a package through package manager:
Package Control: Error parsing JSON from repository https://raw.github.com/theadamlt/sublim ... kages.json

It still launches the list of available packages but when you select one to install the error presents itself again.

Any thoughts?

Thanks
craigmdennis
 
Posts: 1
Joined: Fri Jun 22, 2012 12:21 pm

Re: Package Manager JSON Parse Error

Postby eleclerc on Fri Jun 22, 2012 12:56 pm

There is a simple typo in the (remote) json file, I've sent a comment via github to make sure the author is aware of that.
eleclerc
 
Posts: 2
Joined: Fri Jun 22, 2012 12:53 pm

Re: Package Manager JSON Parse Error

Postby bizoo on Fri Jun 22, 2012 12:57 pm

This JSON is invalid.
It was updated one hour ago.

You can open an issue in github repository https://github.com/theadamlt/sublime_packages and hope the user corrects this issue quickly.
bizoo
 
Posts: 859
Joined: Wed Dec 08, 2010 6:53 am
Location: Switzerland

Re: Package Manager JSON Parse Error

Postby august on Fri Jun 22, 2012 1:55 pm

According to the JSON Linter:

Code: Select all
Parse error on line 59:
...nore/zipball/master""version": "1.0", 
-----------------------^
Expecting '}', ':', ',', ']'


On this line:

Code: Select all
"url": "https://github.com/theadamlt/Sublime-Gitignore/zipball/master""version": "1.0",
august
 
Posts: 2
Joined: Fri Jun 22, 2012 1:52 pm

Re: Package Manager JSON Parse Error

Postby august on Fri Jun 22, 2012 1:58 pm

Oh, it looks like someone posted a fix. Just waiting on a merge.

https://github.com/aciid/sublime_packag ... d549a33439
august
 
Posts: 2
Joined: Fri Jun 22, 2012 1:52 pm


Return to Technical Support

Who is online

Users browsing this forum: Yahoo [Bot] and 19 guests